<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	queryBinding="xslt2">
	
	<ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
	
	<xsl:key name="xml-IDs" match="@xml:id" use="."/>
	
	<pattern>
		<rule context="@*[starts-with(., '#')]">
			<let name="idrefs" value="for $i in tokenize(., '[ ]')[normalize-space(.)] return translate($i, '#', '')"/>
			<assert test="every $idref in $idrefs satisfies key('xml-IDs', $idref)" role="ERROR">[E031] fehlende(s) //@xml:id für »<value-of select="."/>«</assert>
		</rule>
	</pattern>
	
</schema>