<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	queryBinding="xslt2">
	
	<ns prefix="my" uri="irgendeine_gueltige_URI"/>
	
	<xsl:function name="my:ids" as="xs:string*">
		<xsl:param name="idref-string" as="xs:string?"/>
		<xsl:sequence select="for $i in tokenize($idref-string, '[ ]')[normalize-space(.)] return translate($i, '#', '')"/>
	</xsl:function>
	
	<pattern>
		<rule context="@*[starts-with(., '#')]">
			<let name="idrefs" value="my:ids(.)"/>
			<assert test="every $idref in $idrefs satisfies //@xml:id[. eq $idref]" role="ERROR">[E031] fehlende(s) //@xml:id für »<value-of select="."/>«</assert>
		</rule>
	</pattern>
</schema>