<?xml version="1.0" encoding="UTF-8"?>
<schema
	xmlns="http://purl.oclc.org/dsdl/schematron"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	queryBinding="xslt2">
	
	<ns prefix="my" uri="irgendeine_gueltige_URI"/>
	
	<ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
	
	<xsl:include href="my-functions.xsl"/>
	
	<pattern>
		<rule context="tei:text//text()">
			<let name="gesuchter_wortanfang" value="'u'"/>
			<assert test="every $i in tokenize(., ' ') satisfies not(starts-with($i, $gesuchter_wortanfang))
				">Wörter dürfen nicht mit »<value-of select="$gesuchter_wortanfang"/>« beginnen. Kontext: »<value-of select="my:render(., $gesuchter_wortanfang)"/>«</assert>
		</rule>
	</pattern>
</schema>