<?xml version="1.0" encoding="UTF-8"?>
<sch:schema
	xmlns:sch="http://purl.oclc.org/dsdl/schematron"
	queryBinding="xslt2">

	<sch:ns prefix="sch" uri="http://purl.oclc.org/dsdl/schematron"/>

	<sch:pattern>
		<sch:rule context="sch:assert|sch:report">
			<sch:assert test="normalize-space(@role)" role="WARNING">[W001] Jedes assert und report soll ein @role haben!</sch:assert>
		</sch:rule>
	</sch:pattern>

	<sch:pattern>
		<sch:rule context="sch:assert/@role|sch:report/@role">
			<sch:assert test="some $i in ('fatal', 'error', 'warn', 'info') satisfies ($i eq lower-case(.) )">[W002] @role muss einer der Werte »fatal«, »error«, »warn«, »info« sein!</sch:assert>
		</sch:rule>
	</sch:pattern>
</sch:schema>